open All Channels
seplocked EVE Technology Lab
blankseplocked phpBB3 API Registration Mod v3+
 
This thread is older than 90 days and has been locked due to inactivity.


 
Pages: first : previous : ... 2 3 4 5 6 [7] 8 9 10 : last (10)

Author Topic

Swanny231
FISKL GUARDS
RED.OverLord
Posted - 2011.01.21 21:16:00 - [181]
 

Originally by: WereWolfik
Edited by: WereWolfik on 21/01/2011 21:01:44
Edited by: WereWolfik on 21/01/2011 20:29:18
So if you enabled uploaded avatars + eve its working good? And only eve avatars don't work?

I have only problem if disable all options and only enable eve avatars



No it shows the option to upload an avatar not the eve download, I have even tried to put the file in place again and still nothing,It worked with the old phpbb vers, but I have to do all the characters my self in the admin cp. The download eve avatars is there when I edit members, but is a pain to do 90 or so members.

Lord Frost
Minmatar
Brutor Tribe
Posted - 2011.01.22 15:17:00 - [182]
 

Haven't got it to work yet. I did everything on a clean new version of phpbb 3.0.8.

I was getting an invalid API key check... now I'm getting this...
Quote:
General Error
SQL ERROR [ mysqli ]

Unknown column 'api_userid' in 'field list' [1054]

An SQL error occurred while fetching this page. Please contact the Board Administrator if this problem persists.


Any help?

Demitrios
Di-Tron Heavy Industries
Atlas.
Posted - 2011.01.22 18:03:00 - [183]
 

Did you import the SQL file into the database?

Lord Frost
Minmatar
Brutor Tribe
Posted - 2011.01.22 20:05:00 - [184]
 

Edited by: Lord Frost on 23/01/2011 00:25:51
Originally by: Demitrios
Did you import the SQL file into the database?


Guess I misread the steps... okay, but now still issues. There are 3 files... 2 worked fine, and the "default.sql" file does not import. I get..

Quote:
SQL query:

# EVE API start
ALTER TABLE phpbb_users ADD COLUMN api_userid VARCHAR( 10 ) NOT NULL DEFAULT '' AFTER user_form_salt;

MySQL said: Documentation
#1060 - Duplicate column name 'api_userid'



EDIT:::: okay, I got another step further, but now it's not showing the avatars. I get this message when I try and download character portrait...
Quote:
It was not possible to determine the dimensions of the image.
The submitted avatar is 0 pixels wide and 0 pixels high. Avatars must be at least 20 pixels wide and 20 pixels high, but no larger than 128 pixels wide and 128 pixels high.

I played with the admin settings on that, and still all the same error message.

WereWolfik
Posted - 2011.01.23 06:41:00 - [185]
 

Edited by: WereWolfik on 23/01/2011 06:41:45
Originally by: Lord Frost
Edited by: Lord Frost on 23/01/2011 00:25:51

EDIT:::: okay, I got another step further, but now it's not showing the avatars. I get this message when I try and download character portrait...
Quote:
It was not possible to determine the dimensions of the image.
The submitted avatar is 0 pixels wide and 0 pixels high. Avatars must be at least 20 pixels wide and 20 pixels high, but no larger than 128 pixels wide and 128 pixels high.

I played with the admin settings on that, and still all the same error message.



look for this post

Lord Frost
Minmatar
Brutor Tribe
Posted - 2011.01.23 13:58:00 - [186]
 

Originally by: WereWolfik

look for this post


Thanks... that did it.

Cyerus
Galactic Dominion
Eternal Strife
Posted - 2011.01.26 01:02:00 - [187]
 

Has anybody used my update script yet?

Update to fix avatars will be released in a few days.

~Cy

Flirvutus
Posted - 2011.01.27 10:38:00 - [188]
 

Hi I'm getting
Quote:
General Error SQL ERROR [ mysqli ] Unknown column 'api_userid' in 'field list' [1054] An SQL error occurred while fetching this page. Please contact the Board Administrator if this problem persists.


I know that this means I need to update the database with the files in the SQL directory of the phpBB API MOD 4.4 folder, however, I am unsure as to the method of doing this. I have found a "Database" section on my phpBB ACP control panel, but my only options are: Backup, Restore, and Search Index. I've tried to search around on to find out how exactly to "update your database with additional queries" with no luck. A detailed explanation on how to do this would be great.

So far I've used a fresh install of phpBB3, the phpBB API MOD 4.4 pre_edit files, and I'm just stuck at this part about adding the SQL to the database. Thanks.

Cyerus
Galactic Dominion
Eternal Strife
Posted - 2011.01.27 19:52:00 - [189]
 

Originally by: Flirvutus
Hi I'm getting
Quote:
General Error SQL ERROR [ mysqli ] Unknown column 'api_userid' in 'field list' [1054] An SQL error occurred while fetching this page. Please contact the Board Administrator if this problem persists.


I know that this means I need to update the database with the files in the SQL directory of the phpBB API MOD 4.4 folder, however, I am unsure as to the method of doing this. I have found a "Database" section on my phpBB ACP control panel, but my only options are: Backup, Restore, and Search Index. I've tried to search around on to find out how exactly to "update your database with additional queries" with no luck. A detailed explanation on how to do this would be great.

So far I've used a fresh install of phpBB3, the phpBB API MOD 4.4 pre_edit files, and I'm just stuck at this part about adding the SQL to the database. Thanks.


You have to use an application like phpMyAdmin to update your database using the provided .sql files.
Your webhost should either already have this installed, or you can do it yourself.

Luminus Aardokay
Gallente
SI Radio
Split Infinity.
Posted - 2011.01.29 18:47:00 - [190]
 

It seems that whenever users get deactivated through the api mod, they don't receive an e-mail regarding their deactivation. Additionally, a person who had been deactivated this way, managed to reactivate himself by re-clicking on his activation e-mail link (the one he got the first time he subscribed on the board).

Lord Frost
Minmatar
Brutor Tribe
Posted - 2011.01.30 00:53:00 - [191]
 

Are the BBCode Eve links working for systems and items? I have the two databases installed, but when I try a post with the "[eveitem][/eveitem]" and "[evesystem][/evesystem]" codes, my posts are not linking to anything. Is there another step I missed?

Demitrios
Di-Tron Heavy Industries
Atlas.
Posted - 2011.01.31 11:04:00 - [192]
 

Try it in the eve browser and it will/should work.

In a normal browser, it has nothing to link to.

Popolytho
Posted - 2011.02.02 12:41:00 - [193]
 

Hello all,

I installed everything using an install from scratch. I copied the files to the forum directory and I got the admin options to configure the mod accordingly.

The only problem is that in the registration page there is no field to put in the API / char ID.

I also noticed that the package came with a file "modx.prosilver.en.xsl". The readme.txt doesn´t mention it, so I wonder what am I supposed to do with it? I have never installed a mod in phpBB before.

Appreciate any help I can get.

Cheers

Demitrios
Di-Tron Heavy Industries
Atlas.
Posted - 2011.02.04 17:58:00 - [194]
 

Originally by: Carl Rannseier
Edited by: Carl Rannseier on 17/07/2010 03:13:30
Edited by: Carl Rannseier on 17/07/2010 03:02:08
@ Gerin Tell: I can't help ya here, i think for this you have to ask Cyerus. I actually think that you have to do all the work again cos he has rewritten pretty much all of the code so it might be easier setting it up from scratch again.

@DiLantius: You have to update your board template if you want those functions to work properly. The mod ships with the prosilver template only so this is the only one that actually works when you initially install it. The files that need to be modified are:
  • prosilver based templates
    • posting_buttons.html
    • ucp_avatar_options.html
    • ucp_profile_reg_details.html
    • ucp_register.html
  • subsilver2 based templates
    • posting_buttons.html
    • ucp_profile_avatar.html
    • ucp_profile_reg_details.html
    • ucp_register.html

You can tell what style was used to create the one you are using by looking up those files in the "phpbb/styles/<your_style>/template" folder. check if there is either ucp_avatar_options.html (prosilver) or ucp_profile_avatar.html (subsilver2). To check this you can simply use the acp, go to the styles tab -> templates -> edit the style you are using. there you get a dropdown box that offers you all files within that template. you can also modify it there althouh a proper editor would perform better.

If it is prosilver based then simply follow the steps that can be found in the install_api_registration_4.0.xml file. it's well structured and easy to read. For a subsilver based style i don't have any instructions ready but you can contact me ingame and we can figure out how to get your board running correctly with this mod.

Macaya
Posted - 2011.02.07 05:18:00 - [195]
 

Edited by: Macaya on 07/02/2011 17:43:53
Getting this error when trying to import the default.sql :

Error

SQL query:

# EVE API start
ALTER TABLE phpbb_users ADD COLUMN api_userid VARCHAR( 10 ) NOT NULL DEFAULT '' AFTER user_form_salt;

MySQL said: Documentation
#1146 - Table 'forum.phpbb_users' doesn't exist





HELP Confused

EDIT : Read the part on page one but I don't understand the fix...

Drake Draconis
Minmatar
Shadow Cadre
Shadow Confederation
Posted - 2011.02.09 17:56:00 - [196]
 

The new API changes that CCP announced... are you going to factor those in in a future update?

Mewzz
Posted - 2011.02.15 06:57:00 - [197]
 

Ok i've uploaded everything from a clean install. The php sql wouldnt let me load it so i had to input the info manually in php admin the problem i have is that when i put an API in my profile i get:

The API information you entered was invalid.

Idk why i get that cause i copy and pasted my info exactly.

PryMary
Minmatar
Solar Nexus.
Posted - 2011.02.15 17:10:00 - [198]
 

Hi there,

I am trying to get the BB codes to work with the Advanced BBCode MOD for PHPbb3 but I can't for the life of me work out how to go about adding them. Would I have to do this in the ACP in the custom bbcode area, or would I have to modify the Advanced BB Code Box files directly? As I would really like to be able to still link in EVE System's & Items.

Apart from this everything works fine and dandy TY :)

Link to MOD: Click Here


TY ♥

Cyerus
Galactic Dominion
Eternal Strife
Posted - 2011.02.17 00:47:00 - [199]
 

Originally by: Macaya
Edited by: Macaya on 07/02/2011 17:43:53
Getting this error when trying to import the default.sql :

Error

SQL query:

# EVE API start
ALTER TABLE phpbb_users ADD COLUMN api_userid VARCHAR( 10 ) NOT NULL DEFAULT '' AFTER user_form_salt;

MySQL said: Documentation
#1146 - Table 'forum.phpbb_users' doesn't exist



You are using different (non-default) table names for your phpBB installation. In order for the SQL scripts to work, you need to manually change the 3 .sql files to match the table names youa re using.


Originally by: Drake Draconis
The new API changes that CCP announced... are you going to factor those in in a future update?


Could you link me to the changes announcement, haven't seen that page yet.
In any case I will update the script to match the API changes for the API MOD to continue working normally.


Originally by: Mewzz
Ok i've uploaded everything from a clean install. The php sql wouldnt let me load it so i had to input the info manually in php admin the problem i have is that when i put an API in my profile i get:

The API information you entered was invalid.

Idk why i get that cause i copy and pasted my info exactly.


It's the default error message you get, when;
1. The API details are wrong.
2. You are not part of the corp/alliance you have set up.
3. The EVE servers are down (eg. crash or daily downtime).


Originally by: PryMary
Hi there,

I am trying to get the BB codes to work with the Advanced BBCode MOD for PHPbb3 but I can't for the life of me work out how to go about adding them. Would I have to do this in the ACP in the custom bbcode area, or would I have to modify the Advanced BB Code Box files directly? As I would really like to be able to still link in EVE System's & Items.

Apart from this everything works fine and dandy TY :)

Link to MOD: Click Here

TY ♥


No, I will not make my mod compatible with that mod. Simple reason is that in my opinion my mod needs to stay clear, focussed and lightweight.
However, if you really absolutely want it, I can take a look at it, altho it comes with a price.

PryMary
Minmatar
Solar Nexus.
Posted - 2011.02.17 12:03:00 - [200]
 

How much we talking??

Ikki Phoenix
Gallente
United Imperial Fleet
Posted - 2011.02.21 07:16:00 - [201]
 

Hello

I installed this mod without any problems. However when I go to my own profile and enter my API and Key, I also get "The API information you entered was invalid"


Ikki Phoenix
Gallente
United Imperial Fleet
Posted - 2011.02.22 05:45:00 - [202]
 

Anyone has an idea why the software tells me that the API I entered is invalid. I checked my corp and it is the correct one.

Thanks

Macaya
Posted - 2011.02.24 21:14:00 - [203]
 

Originally by: Ikki Phoenix
Anyone has an idea why the software tells me that the API I entered is invalid. I checked my corp and it is the correct one.

Thanks


Same here.

I tried the avove but still wont work.

Cyerus - You make this work for me and Il pay you a couple of hundred mil.

Cyerus
Galactic Dominion
Eternal Strife
Posted - 2011.02.26 12:50:00 - [204]
 

Try to contact me ingame, will be online most of the day tomorrow.

Ikki Phoenix
Gallente
United Imperial Fleet
Posted - 2011.02.27 17:01:00 - [205]
 

trying to convo you

Ikki Phoenix
Gallente
United Imperial Fleet
Posted - 2011.02.27 18:19:00 - [206]
 

Alright, the solution is simple.
Pilots need to register with their exact Eve character name for the API to work

Thanks to Cyerus for his help and the great tool

Drake Draconis
Minmatar
Shadow Cadre
Shadow Confederation
Posted - 2011.03.07 03:23:00 - [207]
 

Edited by: Drake Draconis on 07/03/2011 04:32:36
Your requested link - API Updates forthcoming

Cyerus - The Update script fails/crashes when I try to use it... your instructions don't say where to put it let alone what it expects... so clarification would help....

Warning: include(./common.php) [function.include]: failed to open stream: No such file or directory in ****removed****/install/new_files/update307pl1to308.php on line 6

Warning: include() [function.include]: Failed opening './common.php' for inclusion (include_path='.:/usr/lib/php5') in ****removed****/install/new_files/update307pl1to308.php on line 6

Fatal error: Call to a member function session_begin() on a non-object in ****removed****/install/new_files/update307pl1to308.php on line 9

Cyerus
Galactic Dominion
Eternal Strife
Posted - 2011.03.08 01:49:00 - [208]
 

Edited by: Cyerus on 08/03/2011 01:49:25
Originally by: Drake Draconis
Edited by: Drake Draconis on 07/03/2011 04:32:36
Your requested link - API Updates forthcoming

Cyerus - The Update script fails/crashes when I try to use it... your instructions don't say where to put it let alone what it expects... so clarification would help....

Warning: include(./common.php) [function.include]: failed to open stream: No such file or directory in ****removed****/install/new_files/update307pl1to308.php on line 6

Warning: include() [function.include]: Failed opening './common.php' for inclusion (include_path='.:/usr/lib/php5') in ****removed****/install/new_files/update307pl1to308.php on line 6

Fatal error: Call to a member function session_begin() on a non-object in ****removed****/install/new_files/update307pl1to308.php on line 9


The script has to be placed in the root directory of your forum.
Instructions on how to use it can be found here.

Drake Draconis
Minmatar
Shadow Cadre
Shadow Confederation
Posted - 2011.03.08 07:55:00 - [209]
 

Originally by: Cyerus
Edited by: Cyerus on 08/03/2011 01:49:25
Originally by: Drake Draconis
Edited by: Drake Draconis on 07/03/2011 04:32:36
Your requested link - API Updates forthcoming

Cyerus - The Update script fails/crashes when I try to use it... your instructions don't say where to put it let alone what it expects... so clarification would help....

Warning: include(./common.php) [function.include]: failed to open stream: No such file or directory in ****removed****/install/new_files/update307pl1to308.php on line 6

Warning: include() [function.include]: Failed opening './common.php' for inclusion (include_path='.:/usr/lib/php5') in ****removed****/install/new_files/update307pl1to308.php on line 6

Fatal error: Call to a member function session_begin() on a non-object in ****removed****/install/new_files/update307pl1to308.php on line 9


The script has to be placed in the root directory of your forum.
Instructions on how to use it can be found here.


Your instructions didn't say to put it in the root directory... did so.

Said step 1 complete... now its doing this in the update package -
===========
Updating database to latest stable release

Database type :: mysqli
Previous version :: 3.0.7-PL1
Updated version :: 3.0.8


Updating database schema

Progress :: No updates required


Updating data

Progress :: . . . . . . . . . .
Notice: Undefined index: api_userid in ****removed****/includes/functions_user.php on line 300

Notice: Undefined index: api_limitedkey in ****removed****/includes/functions_user.php on line 301

Fatal error: in ****removed****/includes/db/dbal.php on line 694
=========

And thanks to this I won't be able to do a bloody thing until 24 hours from now (thanks to my job)

Cyerus
Galactic Dominion
Eternal Strife
Posted - 2011.03.08 12:07:00 - [210]
 

Ok, weird error indeed.

Unpack and upload all the files of THIS archieve into your phpBB forum.
Then run the phpBB install script again to see if this time it updates correctly.


Pages: first : previous : ... 2 3 4 5 6 [7] 8 9 10 : last (10)

This thread is older than 90 days and has been locked due to inactivity.


 


The new forums are live

Please adjust your bookmarks to https://forums.eveonline.com

These forums are archived and read-only